EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Rafts_DeleteRaft',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified Raft.'
GO


IF OBJECT_ID('[Rafts_DeleteRaft]') IS NOT NULL DROP PROCEDURE [Rafts_DeleteRaft]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Rafts_DeleteRaft]
(
    @Raft_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE [Rafts] WHERE [Raft_Id] = @Raft_Id

END
GO

GRANT EXECUTE ON [Rafts_DeleteRaft] TO [OtterUser_Role]